[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: RFS: libservlet2.5 (tomcat6)

Hello Gabriele,

I don't quite see your motivation behind that fix. The POM files were
correct in the previous version, servlet-api has the group id
javax.servlet, jsp-api and el-api are also in the proper groups.

In maven.rules, there were lines such as:
s/org.apache.tomcat/javax.servlet/ servlet-api jar s/.*/2.5/

This takes care of transforming the group for servlet-api to
javax.servlet and forces the version to 2.5, and it has the additional
advantage to keep track of the change so that projects which uses the
Tomcat libraries will use also the correct groups and versions.


Gabriele Giacone a écrit :
> Hello,
> A little fix for libservlet2.5 poms.
> Could anyone review and upload it?
> http://mentors.debian.net/debian/pool/main/t/tomcat6/tomcat6_6.0.24-3.dsc
> CC'ed Uploaders.
> Thanks,
> Gabriele

Reply to: